MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025050Open CASCADE[OCCT] OCCT:Data Exchangepublic2014-07-04 10:412015-05-14 16:25
Reporteroan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025050: Shape can not be stored to VRML format
DescriptionXSDRAWSTLVRML_ToVRML::Write uses BRepMesh_FastDiscret to produce mesh to be stored in VRML format. It tries to access to elements and nodes of a mesh via interface provided by BRepMesh_FastDiscret. However, since the time BRepMesh_FastDiscret is divided onto BRepMesh_FastDiscret and BRepMesh_FastDiscretFace it does not keep info about mesh of a whole shape. Instead of this, it processes a shape face by face and creates data structures for particular one and clears them by the end of meshing procedure.

This bug is expected to be fixed in context of 0023106 issue.
Steps To Reproducepload ALL
box b 10 10 10
writevrml b test.vrml

# Content of the resulting file is the following:
#
# VRML V2.0 utf8
# Group {
# children [
# NavigationInfo {
# type "EXAMINE"
# },
# Shape {
# appearance Appearance {
# texture ImageTexture {
# url []
# }
# material Material {
# diffuseColor 0.3 0.3 0.5
# emissiveColor 0.3 0.3 0.3
# transparency 0
# ambientIntensity 0.3
# specularColor 0.7 0.7 0.8
# shininess 0.1
# }
# }
# geometry IndexedFaceSet {
# coord Coordinate {
# point [
TagsNo tags attached.
Test case numberbugs stlvrml(019) bug25050
Attached Files

- Relationships
related to 0023106closedbugmaster BRepMesh_IncrementalMesh returns wrong status 
parent of 0025279closedbugmaster OCCT fails to read VRML file created by OCCT 

-  Notes
(0032264)
oan (developer)
2014-09-26 17:38

Dear Bugmaster,
this bus has been fixed in context of 0023106.
Please create corresponding test case
(0032848)
git (administrator)
2014-10-08 20:37

Branch CR25050 has been created by mkv.

SHA-1: 12e45267ceae0b8d77758d58f9ccac99425f026b


Detailed log of new commits:

Author: mkv
Date: Wed Oct 8 20:37:32 2014 +0400

    Test case for issue CR25050
(0032852)
mkv (tester)
2014-10-08 20:53

Dear BugMaster,
Test cases bugs/stlvrml(018)/bug25050 is created and pushed to new branch CR25050 of occt git-repository.
Test cases bugs/stlvrml(018)/bug25050 is BAD.

There is following message in log of test case:

++ VRML Error: VrmlFormatError in line 7
(0032856)
oan (developer)
2014-10-09 09:53

Please see relationship 0025279 "OCCT fails to read VRML file created by OCCT"
(0034052)
oan (developer)
2014-11-05 16:39

Dear MKV,

VRML model stored by OCCT can be successfully read by 3rd-party viewers (e.g. Cortona 3d). Please proceed the issue and integrate test case for this bug marked as BAD. Status of the test case will be changed when 0025279 will be fixed.
(0038285)
mkv (tester)
2015-03-11 19:26

Dear oan,
Test cases bugs/stlvrml(018)/bug25050 in CR25050 is BAD on current master - bad nbshapes of result,
could you please review it.
(0040451)
oan (developer)
2015-04-30 10:26

Dear MKV,

models restored from VRML file are discrete models of initial shapes. So, there is no vertices, no solids and no shells. Moreover, depending of parameters of "writevrml" command it can contain only edges and wires.

To store shape without face triangulations current syntax of the command can be used.

In order to store triangulations command storing VRML file should be modified (please see command's help):
writevrml b test.vrml 2 2

Please make corresponding modifications.

BR,
OAN
(0040459)
abv (manager)
2015-04-30 11:05
edited on: 2015-04-30 11:39

The test case should be corrected to write triangulation (and call incmesh before writing to mesh faces):

box b 10 10 10
incmesh b 0.1
trinfo b

set aFile ${imagedir}/bug25050.wrl
writevrml b ${aFile} 2 2
loadvrml result ${aFile}
trinfo result

here check number of sub-shapes (6 faces, 24 edges).

You can show this shape in 3d viewer -- in shading it should be the box with edges shown as wireframe.

The test can be extended to use different values (0, 1, 2) for the last argument to writevrml command, with corresponding changes in expected result.

Do not use checkshape -- the shape produced from VRML is incomplete and is not expected to be valid!

(0040496)
git (administrator)
2015-04-30 16:19

Branch CR25050 has been updated forcibly by mkv.

SHA-1: d1e954bcd266979dc9f630af0a595718eb5a5c01
(0040499)
git (administrator)
2015-04-30 16:30

Branch CR25050 has been updated by mkv.

SHA-1: a5a5c2ae997e50c8ba3f9a3616d15c78a4e401e0


Detailed log of new commits:

Author: mkv
Date: Thu Apr 30 16:30:38 2015 +0300

    Test cases for issue CR25050

Author: mkv
Date: Thu Apr 30 16:22:02 2015 +0300

    Merge branch 'CR25050' of git.dev.opencascade.org:occt into CR25050

Author: mkv
Date: Wed Oct 8 20:37:32 2014 +0400

    Test case for issue CR25050

(0040506)
git (administrator)
2015-04-30 17:10

Branch CR25050_1 has been created by mkv.

SHA-1: b3ef3b6786b45d4ae7f89b00c2bd4a84127d0a8f


Detailed log of new commits:

Author: mkv
Date: Thu Apr 30 17:09:43 2015 +0300

    0025050: Shape can not be stored to VRML format
(0040507)
mkv (tester)
2015-04-30 17:10

Dear BugMaster,
Test case
bugs stlvrml(019) bug25050
was created and pushed to new branch CR25050_1 of occt git-repository.

This test case have status OK.
(0040950)
git (administrator)
2015-05-14 16:25

Branch CR25050 has been deleted by inv.

SHA-1: a5a5c2ae997e50c8ba3f9a3616d15c78a4e401e0
(0040951)
git (administrator)
2015-05-14 16:25

Branch CR25050_1 has been deleted by inv.

SHA-1: b3ef3b6786b45d4ae7f89b00c2bd4a84127d0a8f

- Related Changesets
occt: master 4422364e
Timestamp: 2015-04-30 14:09:43
Author: mkv
Committer: bugmaster
Details ] Diff ]
0025050: Shape can not be stored to VRML format
add - tests/bugs/stlvrml/bug25050 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-04 10:41 oan New Issue
2014-07-04 10:41 oan Assigned To => gka
2014-07-04 10:41 oan Relationship added related to 0023106
2014-09-12 10:07 abv Assigned To gka => oan
2014-09-12 10:07 abv Target Version => 6.8.0
2014-09-26 17:37 oan Relationship added parent of 0025279
2014-09-26 17:38 oan Note Added: 0032264
2014-09-26 17:38 oan Assigned To oan => bugmaster
2014-09-26 17:38 oan Status new => assigned
2014-09-26 17:59 abv Status assigned => feedback
2014-09-29 15:48 bugmaster Assigned To bugmaster => mkv
2014-10-08 20:37 git Note Added: 0032848
2014-10-08 20:53 mkv Assigned To mkv => oan
2014-10-08 20:53 mkv Note Added: 0032852
2014-10-09 09:53 oan Note Added: 0032856
2014-11-05 16:39 oan Note Added: 0034052
2014-11-05 16:39 oan Assigned To oan => mkv
2014-11-05 16:39 oan Status feedback => assigned
2014-11-05 16:41 oan Status assigned => feedback
2014-11-11 01:04 abv Target Version 6.8.0 => 7.0.0
2015-03-11 19:26 mkv Assigned To mkv => oan
2015-03-11 19:26 mkv Note Added: 0038285
2015-04-30 10:26 oan Note Added: 0040451
2015-04-30 10:27 oan Assigned To oan => mkv
2015-04-30 10:27 oan Status feedback => assigned
2015-04-30 11:05 abv Note Added: 0040459
2015-04-30 11:06 abv Note Edited: 0040459 View Revisions
2015-04-30 11:39 abv Note Edited: 0040459 View Revisions
2015-04-30 12:44 apn Assigned To mkv => apn
2015-04-30 12:45 apn Assigned To apn => mkv
2015-04-30 16:19 git Note Added: 0040496
2015-04-30 16:30 git Note Added: 0040499
2015-04-30 17:10 git Note Added: 0040506
2015-04-30 17:10 mkv Note Added: 0040507
2015-04-30 17:11 mkv Test case number => bugs stlvrml(019) bug25050
2015-04-30 17:11 mkv Assigned To mkv => bugmaster
2015-04-30 17:11 mkv Status assigned => resolved
2015-04-30 17:11 mkv Status resolved => reviewed
2015-04-30 17:12 mkv Status reviewed => tested
2015-05-07 11:18 bugmaster Changeset attached => occt master 4422364e
2015-05-07 11:18 bugmaster Status tested => verified
2015-05-07 11:18 bugmaster Resolution open => fixed
2015-05-07 11:34 bugmaster Target Version 7.0.0 => 6.9.0
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:25 git Note Added: 0040950
2015-05-14 16:25 git Note Added: 0040951


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker